# ASI-Core Camera Definition
# Descriptive name uniquely that identifies this camera in a fixed point in time.
camera_name: WESTE
# Descriptive name of the camera model in use.
camera_model: Q25
# Timestamp from which on the given set of parameters becomes valid for the camera. This may be later than the physical installation due to changes of the camera orientation, configuration etc.
mounted: !!timestamp "2022-03-07T00:00:00+00:00"
# Timestamp from which on the given set of parameters becomes invalid for the camera due to dismantling, disturbances etc.
demounted: !!timestamp "2022-06-27T00:00:00+00:00"
# Latitude of the camera position in [deg], northing positive
latitude: 53.25335
# Longitude of the camera position in [deg], easting positive
longitude: 7.92658
# Altitude of the camera in [m] above sea level
altitude: 29
# Timezone used in image acquisition given in the regular ISO 8601 convention -- Positive east of Greenwich
timezone: "GMT+0" 
# Minimum elevation of the image that is evaluated in [deg].
min_ele_evaluated: 0.0
internal_calibration:
  # Polynomial coefficients F(p)=ss[0]*p^0+...+ss[3]*p^3, that are needed to map a pixel point from the image
  # coordinate system (2D) onto a point in the camera coordinate system (3D).
  ss: [-656.4346241505848,0.0,0.0002784996104300009,4.4049082378364647e-07]
  # center point of camera in pixels, starting at 0 (C convention)
  xc: 1021.79
  yc: 1053.36
  # INVALID EMPTY FIELD --  diameter:
  # Affine transformation parameters
  c: 1.0
  d: 0.0
  e: 0.0
  width: 2112
  height: 2048
# roll, pitch, angle [radians]
external_orientation: [-0.0054, 3.1353, 1.4990]
camera_mask_file: "masks/20220307_WESTE_mask.mat"
exposure_settings:
  exposure_times:
    day: [160]
    night: [80000]
  color_temperature: 10000.0  # [Kelvin]
  rel_exp_tol: 0.1  # [-] relative deviation of exposure time tolerated
radiometric_model:
  beta_planck: [0.21622656, 0.31344352, 0.47032992]  # [-]
  weighting_luminosity: [0.85749303, 2.26932285, 0.21959625]  # [-]
  saturation_val: 240.0  # [-]
  base_sensitivty: 0.0085  # rough initial estimation
  rel_overest_with_DNI: 0  # [-]
  saturation_corr: -4.63e-4  # [W/m^2/pixel]
